SD_JOURNAL_OPEN(3)

NAME
sd_journal_open, sd_journal_open_directory, sd_journal_open_directory_fd, sd_journal_open_files, sd_journal_open_files_fd, sd_journal_open_namespace, sd_journal_close, sd_journal, SD_JOURNAL_ALL_NAMESPACES, SD_JOURNAL_INCLUDE_DEFAULT_NAMESPACE - Open the system journal for reading

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_open(sd_journal **ret, int flags);

int sd_journal_open_namespace(sd_journal **ret, const char *namespace, int flags);

int sd_journal_open_directory(sd_journal **ret, const char *path, int flags);

int sd_journal_open_directory_fd(sd_journal **ret, int fd, int flags);

int sd_journal_open_files(sd_journal **ret, const char **paths, int flags);

int sd_journal_open_files_fd(sd_journal **ret, int fds[], unsigned n_fds, int flags);

void sd_journal_close(sd_journal *j);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_open, sd_journal_open_directory, sd_journal_open_directory_fd, sd_journal_open_files, sd_journal_open_files_fd and sd_journal_close do nothing.

RETURN VALUE

The sd_journal_open(), sd_journal_open_directory(), and sd_journal_open_files() calls return -ENOSYS. sd_journal_close() returns nothing.

SEE ALSO

elogind(8), sd_journal_next(3), sd_journal_get_data(3)